Subject: Re: [PATCH v2 3/3] refspec: relocate apply_refspecs and related funtions

From: Junio C Hamano <[email-masked]>
Date: Mon, 27 Jan 2025 12:14:02 -0800

Meet Soni <[email-masked]> writes:

> +/*
> + * Remove all entries in the input list which match any negative refspec in
> + * the refspec list.
> + */
> +struct ref *apply_negative_refspecs(struct ref *ref_map, struct refspec *rs);

Excellent.  

    ... it is merely moved from the original so it is not entirely
    your achievement, but still, this is good.

> +/*
> + * Applies refspecs to a name and returns the corresponding destination.
> + * Returns the destination string if a match is found, NULL otherwise.
> + */
> +char *apply_refspecs(struct refspec *rs, const char *name);

Explaining a function whose name has "apply" with a comment that
uses "apply" as the verb does not add as much information as a
comment with a bit rephrased explanation.  What does it mean to
"apply refspec to a name" in the context of this function?